/* SPDX-License-Identifier: BSD-3-Clause */
/*
 * Copyright 2020-2021 NXP
 */
#ifndef __DT_BINDINGS_SCMI_CLOCK_S32G2_H
#define __DT_BINDINGS_SCMI_CLOCK_S32G2_H

#define S32G2_SCMI_CLK_BASE_ID		0U
#define S32G2_SCMI_CLK(N)		((N) + S32G2_SCMI_CLK_BASE_ID)

/* GMAC0 - SGMII */
#define S32G2_SCMI_CLK_GMAC0_RX_SGMII	S32G2_SCMI_CLK(17)
#define S32G2_SCMI_CLK_GMAC0_TX_SGMII	S32G2_SCMI_CLK(18)
/* GMAC0 - RGMII */
#define S32G2_SCMI_CLK_GMAC0_RX_RGMII	S32G2_SCMI_CLK(19)
#define S32G2_SCMI_CLK_GMAC0_TX_RGMII	S32G2_SCMI_CLK(20)
/* GMAC0 - RMII */
#define S32G2_SCMI_CLK_GMAC0_RX_RMII	S32G2_SCMI_CLK(21)
#define S32G2_SCMI_CLK_GMAC0_TX_RMII	S32G2_SCMI_CLK(22)
/* GMAC0 - MII */
#define S32G2_SCMI_CLK_GMAC0_RX_MII	S32G2_SCMI_CLK(23)
#define S32G2_SCMI_CLK_GMAC0_TX_MII	S32G2_SCMI_CLK(24)
#define S32G2_SCMI_CLK_GMAC0_AXI	S32G2_SCMI_CLK(25)
/* uSDHC */
#define S32G2_SCMI_CLK_USDHC_AHB	S32G2_SCMI_CLK(32)
#define S32G2_SCMI_CLK_USDHC_MODULE	S32G2_SCMI_CLK(33)
#define S32G2_SCMI_CLK_USDHC_CORE	S32G2_SCMI_CLK(34)
#endif
