/* SPDX-License-Identifier: GPL-2.0-or-later */
/*
 * Copyright 2018-2021 NXP
 */

#ifndef __DT_BINDINGS_S32G2_PINCTRL_H
#define __DT_BINDINGS_S32G2_PINCTRL_H

#include "pinctrl-s32g.h"

/* ENET CFG1 */
#define PAD_CTL_ENET_CFG1	(PAD_CTL_PUE | PAD_CTL_PUS | \
				 PAD_CTL_OBE | PAD_CTL_SRC_SIG_SEL1)
/* ENET CFG2 */
#define PAD_CTL_ENET_CFG2	(PAD_CTL_SRE_208MHZ | \
				 PAD_CTL_OBE | PAD_CTL_SRC_SIG_SEL1)
/* ENET CFG3 */
#define PAD_CTL_ENET_CFG3	(PAD_CTL_SRE_208MHZ | \
				 PAD_CTL_OBE | PAD_CTL_IBE | \
				 PAD_CTL_SRC_SIG_SEL1)
/* ENET CFG4 */
#define PAD_CTL_ENET_CFG4	(PAD_CTL_SRE_208MHZ | PAD_CTL_IBE)

/* GMAC0 pin ids */
#define S32G2_GMAC0_MDC		60

#define S32G2_GMAC0_MDIO_OUT	61
#define S32G2_GMAC0_MDIO_IN	527

#define S32G2_GMAC0_TXCLK_OUT	66
#define S32G2_GMAC0_TXCLK_IN	538
#define S32G2_GMAC0_TXEN_OUT	67
#define S32G2_GMAC0_TXD0_OUT	68
#define S32G2_GMAC0_TXD1_OUT	69
#define S32G2_GMAC0_TXD2_OUT	70
#define S32G2_GMAC0_TXD3_OUT	71

#define S32G2_GMAC0_RXCLK_OUT	72
#define S32G2_GMAC0_RXCLK_IN	529
#define S32G2_GMAC0_RXDV_OUT	73
#define S32G2_GMAC0_RXDV_IN	530
#define S32G2_GMAC0_RXD0_OUT	74
#define S32G2_GMAC0_RXD0_IN	531
#define S32G2_GMAC0_RXD1_OUT	75
#define S32G2_GMAC0_RXD1_IN	532
#define S32G2_GMAC0_RXD2_OUT	76
#define S32G2_GMAC0_RXD2_IN	533
#define S32G2_GMAC0_RXD3_OUT	77
#define S32G2_GMAC0_RXD3_IN	534

/* GMAC configuration */
#define S32G2_PD12_GMAC0_MDC      S32G2_GMAC0_MDC	PAD_CTL_ENET_CFG2

#define S32G2_PD13_GMAC0_MDIO_OUT S32G2_GMAC0_MDIO_OUT	PAD_CTL_ENET_CFG3
#define S32G2_PD13_GMAC0_MDIO_IN  S32G2_GMAC0_MDIO_IN	PAD_CTL_SRC_SIG_SEL2

#define S32G2_PE2_GMAC0_TXCLK_OUT S32G2_GMAC0_TXCLK_OUT	PAD_CTL_ENET_CFG1
#define S32G2_PE2_GMAC0_TXCLK_IN  S32G2_GMAC0_TXCLK_IN	PAD_CTL_SRC_SIG_SEL2

#define S32G2_PE3_GMAC0_TXEN_OUT  S32G2_GMAC0_TXEN_OUT  PAD_CTL_ENET_CFG2
#define S32G2_PE4_GMAC0_TXD0_OUT  S32G2_GMAC0_TXD0_OUT	PAD_CTL_ENET_CFG2
#define S32G2_PE5_GMAC0_TXD1_OUT  S32G2_GMAC0_TXD1_OUT  PAD_CTL_ENET_CFG2
#define S32G2_PE6_GMAC0_TXD2_OUT  S32G2_GMAC0_TXD2_OUT  PAD_CTL_ENET_CFG2
#define S32G2_PE7_GMAC0_TXD3_OUT  S32G2_GMAC0_TXD3_OUT  PAD_CTL_ENET_CFG2

#define S32G2_PE8_GMAC0_RXCLK_OUT S32G2_GMAC0_RXCLK_OUT PAD_CTL_ENET_CFG4
#define S32G2_PE8_GMAC0_RXCLK_IN  S32G2_GMAC0_RXCLK_IN	PAD_CTL_SRC_SIG_SEL2

#define S32G2_PE9_GMAC0_RXDV_OUT  S32G2_GMAC0_RXDV_OUT	PAD_CTL_ENET_CFG4
#define S32G2_PE9_GMAC0_RXDV_IN   S32G2_GMAC0_RXDV_IN	PAD_CTL_SRC_SIG_SEL2

#define S32G2_PE10_GMAC0_RXD0_OUT S32G2_GMAC0_RXD0_OUT	PAD_CTL_ENET_CFG4
#define S32G2_PE10_GMAC0_RXD0_IN  S32G2_GMAC0_RXD0_IN	PAD_CTL_SRC_SIG_SEL2

#define S32G2_PE11_GMAC0_RXD1_OUT S32G2_GMAC0_RXD1_OUT	PAD_CTL_ENET_CFG4
#define S32G2_PE11_GMAC0_RXD1_IN  S32G2_GMAC0_RXD1_IN	PAD_CTL_SRC_SIG_SEL2

#define S32G2_PE12_GMAC0_RXD2_OUT S32G2_GMAC0_RXD2_OUT	PAD_CTL_ENET_CFG4
#define S32G2_PE12_GMAC0_RXD2_IN  S32G2_GMAC0_RXD2_IN	PAD_CTL_SRC_SIG_SEL2

#define S32G2_PE13_GMAC0_RXD3_OUT S32G2_GMAC0_RXD3_OUT	PAD_CTL_ENET_CFG4
#define S32G2_PE13_GMAC0_RXD3_IN  S32G2_GMAC0_RXD3_IN	PAD_CTL_SRC_SIG_SEL2

#endif
